List Contracts - m3ter Documentation

List Contracts

cURL

curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/contracts \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/contracts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/contracts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Status Codes

Response Schema

{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "customFields": {},
      "accountId": "<string>",
      "name": "<string>",
      "code": "<string>",
      "description": "<string>",
      "purchaseOrderNumber": "<string>",
      "applyContractPeriodLimits": true,
      "usageFilters": [
        {
          "dimensionCode": "<string>",
          "value": "<string>"
        }
      ],
      "billGroupingKeyId": "<string>",
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}

Error Responses

{
  "message": "<string>"
}

Path Parameters

The unique identifier (UUID) for your Organization.

Query Parameters

Specifies the maximum number of Contracts to retrieve per page. Required range: 1 <= x <= 100

A token for multi-page retrievals.

(Optional) Filters the list based on specific Contract unique identifiers (UUIDs).

(Optional) Filters based on short codes.

Required string length: 36.

Response Content-Type

200: application/json - Returns a list of Contracts.